/**
 * This file is part of CellularQt
 *
 * Copyright (C) 2009 Nokia Corporation. All rights reserved.
 */

#ifndef DBUSIFACE_H
#define DBUSIFACE_H

#include <QtCore/QObject>
#include <QtCore/QString>
#include <QtDBus/QtDBus>
#include <QtDBus/qdbusabstractinterface.h>
#include <QtDBus/qdbusconnection.h>

namespace Cellular
{

class DBusIface : public QDBusAbstractInterface 
{
    Q_OBJECT
public:
    DBusIface(const QString &service, const QString &path, const char* interface, const QDBusConnection &connection, QObject *parent = 0);

    ~DBusIface();
};

}

#endif  /* !DBUSIFACE_H */


